Ticket #44386

sanity_check_ruleset_data() needs clearing old compat code?

Date d'ouverture: 2022-04-16 00:22 Dernière mise à jour: 2022-05-02 13:54

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
2

Détails

sanity_check_ruleset_data() comment about ignore_retired is suspicious: "were retired in Freeciv 3.0."

So is the compat code in question supposed to be in later branches? Sounds like it would allow things that were not legal even in the versions that the compatibility is expected with (3.0 compat in S3_1, 3.1 compat in master)

Ticket History (3/6 Histories)

2022-04-16 00:22 Updated by: cazfi
  • New Ticket "sanity_check_ruleset_data() needs clearing old compat code?" created
2022-04-21 04:26 Updated by: cazfi
Commentaire

It doesn't really doable to differentiate between what's supposed to be acceptable conflict in a compat mode, and which are not. The current condition at least makes all conflicts illegal outside compat mode.

What should be changed here, is to do full check also in compat mode, if we are in fact loading ruleset of the current freeciv version's format.

2022-04-22 06:32 Updated by: cazfi
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Aucun to Accepted
2022-05-02 13:54 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion